Assets
Get Last Tested Date for Assets
Get the count of last tested assets by asset criticality
GET
/
v1
/
{org_uid}
/
metrics
/
assets
/
last_tested
Returns the count of last tested assets by asset criticality
curl --request GET \
--url https://client.synack.com/api/streaming/v1/{org_uid}/metrics/assets/last_tested \
--header 'Authorization: Bearer <token>'import requests
url = "https://client.synack.com/api/streaming/v1/{org_uid}/metrics/assets/last_tested"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://client.synack.com/api/streaming/v1/{org_uid}/metrics/assets/last_tested', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": "<unknown>",
"id": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
},
"meta": "<unknown>",
"relationships": {}
},
"errors": [
{
"detail": "<string>",
"id": "<string>",
"source": "<string>",
"status": 123,
"title": "<string>"
}
],
"included": [
"<unknown>"
],
"links": {
"next": "<string>",
"prev": "<string>"
},
"meta": "<unknown>"
}{
"detail": "<string>",
"id": "<string>",
"source": "<string>",
"status": 123,
"title": "<string>"
}{
"detail": "<string>",
"id": "<string>",
"source": "<string>",
"status": 123,
"title": "<string>"
}{
"detail": "<string>",
"id": "<string>",
"source": "<string>",
"status": 123,
"title": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Organization UID
Query Parameters
Listing UID. If false is provided, it will return counts of last tested assets by asset criticality that does not belong to any listing nor seed group
Seed group UID
⌘I
Returns the count of last tested assets by asset criticality
